/*
 * Copyright (c) 2010 by Intevation GmbH
 *
 * This program is free software under the LGPL (>=v2.1)
 * Read the file LGPL.txt coming with the software for details
 * or visit http://www.gnu.org/licenses/ if it does not exist.
 */

package de.intevation.gnv.artifactdatabase.objects;

/**
 * The default implementation of <code>InputParameter</code>.
 *
 * @author <a href="mailto:tim.englich@intevation.de">Tim Englich</a>
 *
 */
public class DefaultInputParameter implements InputParameter {

    /**
     * The UID of this Class.
     */
    private static final long serialVersionUID = 6597439837482244211L;

    /**
     * The name of this parameter.
     */
    private String name = null;

    /**
     * The values of this parameter.
     */
    private String[] values = null;

    /**
     * Constructor
     * @param name The name of this parameter.
     * @param values The values of this parameter.
     */
    public DefaultInputParameter(String name, String[] values) {
        super();
        this.name = name;
        this.values = values;
    }

    public String getName() {
        return this.name;
    }

    public String[] getValues() {
        return this.values;
    }
}
// vim:set ts=4 sw=4 si et sta sts=4 fenc=utf8 :
